
#ifndef __D3DRENDERER_H_
#define __D3DRENDERER_H_
///////////////////////////
// Class: D3DRenderer
// Description:
//
//
//
///////////////////////////
#include "..\rendererInterface.h"
#include <d3d8.h>
#include <d3dx8.h>

class D3DRenderer : public rendererInterface
{
private:
	LPDIRECT3D8 m_lpD3D;
	LPDIRECT3DDEVICE8 m_lpD3DDevice;
	D3DPRESENT_PARAMETERS m_d3dpp;
	D3DCOLOR m_backColor;

public:
	D3DRenderer();
	~D3DRenderer();

	//method to create and initialize our hardware
    HRESULT createDevice(HWND, DWORD, DWORD, DWORD, BOOL);

    //method to destroy it
    void destroyDevice();

    //method to begin rendering primitives
    HRESULT beginRenderingScene();

    //method to end rendering primitives
    void endRenderingScene();

    //method to change the screen clearing color
    void setClearColor(FLOAT, FLOAT, FLOAT, FLOAT);

};

#endif