
#ifndef __OGLRENDERER_H_
#define __OGLRENDERER_H_
///////////////////////////
// Class: OGLRenderer
// Description: This is our "low level" implementation of
//              our rendererInterface class in OpenGL
//              Note that it's VERY basic, but just meant to
//              show a POSSIBLE implementation
///////////////////////////
#include "..\rendererInterface.h"
#include <gl/gl.h>
#include <gl/glu.h>

class OGLRenderer : public rendererInterface
{
private:
	HDC	  m_hDC;
	HGLRC m_hRC;

public:
	OGLRenderer();
	~OGLRenderer();

	//method to create and initialize our hardware
    HRESULT createDevice(HWND, DWORD, DWORD, DWORD, BOOL);

    //method to destroy it
    void destroyDevice();

    //method to begin rendering primitives
    HRESULT beginRenderingScene();

    //method to end rendering primitives
    void endRenderingScene();

    //method to change the screen clearing color
    void setClearColor(FLOAT, FLOAT, FLOAT, FLOAT);

};

#endif